﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace CalendarCellTemplateSample
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            calendar.DisplayDate = DateTime.Now.AddDays(20);
        }

        /// <summary>
        /// Invoked when this page is about to be displayed in a Frame.
        /// </summary>
        /// <param name="e">Event data that describes how this page was reached.  The Parameter
        /// property is typically used to configure the page.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }
    }


    public class CellConverter : IValueConverter
    {

        public object Convert(object value, Type targetType, object parameter, string language)
        {
            var appointments = parameter as List<Appointment>;
            var currentappointments = new List<object>();
            var date = ((DateTime)value).Date;
            if (appointments != null)
            {
                foreach (var appointment in appointments)
                {
                    if (appointment.DateTime.Equals(date))
                    {
                        currentappointments.Add(appointment);
                    }
                }
            }
            return currentappointments;
        }

        public object ConvertBack(object value, Type targetType, object parameter, string language)
        {
            throw new NotImplementedException();
        }
    }
}
