﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CalendarCellTemplateSample
{

    public class Appointment
    {
        public string Title { get; set; }

        public string Description { get; set; }

        public DateTime DateTime { get; set; }

        public Appointment(string title, string description,DateTime datetime)
        {
            Title = title;
            Description = description;
            DateTime = datetime;
        }
    }

    public class AppointmentSource : List<Appointment>
    {
        public AppointmentSource()
        {
            Add(new Appointment("General Board meeting", "Board meeting with general manager discussing the plans of WinRT Developement.",DateTime.Now.Date));
            Add(new Appointment("Go to church", "Special prayer. St. Peter's Basilica.", DateTime.Now.AddDays(+22).Date));
            Add(new Appointment("Go to art museum", "Fond of Da Vinci paintings. Visit to Louvre at Paris.", DateTime.Now.AddDays(+22).Date));
            Add(new Appointment("Favorite movie with family", "Monster's University, second part of Monster's inc.", DateTime.Now.AddDays(+25).Date));
            Add(new Appointment("General body checkup", "Brooklyn medical university. X-Ray, Blood test and Lipid test.", DateTime.Now.AddDays(+25).Date));
            Add(new Appointment("Wash the car", "Wash the car. Get new paintings. Tune engine.", DateTime.Now.AddDays(+25).Date));
        }
    }

}
